package com.prolog.rdc.tms.service;

import com.prolog.framework.core.pojo.Page;
import com.prolog.rdc.tms.model.dto.BmsSettlementFeeDTO;
import com.prolog.rdc.tms.model.entity.BmsSettlementFeeModel;
import com.prolog.rdc.tms.model.vo.BmsSettlementFeeQueryVO;
import com.prolog.rdc.tms.model.vo.BmsSettlementFeeVO;
import com.prolog.rdc.tms.model.vo.StatusUpdate;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

public interface SettlementFeeService {

    Page<BmsSettlementFeeDTO> findList(BmsSettlementFeeQueryVO vo);

    void save(BmsSettlementFeeVO vo);

    BmsSettlementFeeDTO detail(Long id);

    void update(BmsSettlementFeeVO vo);

    void updateStatus(List<StatusUpdate> vo);

    void delete(String[] ids);

    List<BmsSettlementFeeDTO> findListNoPage(String code);


    void importExpense(MultipartFile file) throws IOException;
}
